Loading...
Searching...
No Matches
BALL::SmartsMatcher::RecStructCore_ Class Reference

core structure of the recursive matching algorithm for the object pool More...

`#include <BALL/STRUCTURE/smartsMatcher.h>`

## Public Member Functions

| RecStructCore_ ()
| default constructor
| RecStructCore_ (const RecStructCore_ &)
| copy constructor
virtual | ~RecStructCore_ ()
| destructor
RecStructCore_ & | operator= (const RecStructCore_ &)
| assignment operator
void | clear ()
| method that deletes all content from the containers

## Public Attributes

std::vector< std::set< const Atom * > > | matched_atoms
| container which contains a vector of matched atoms from different matches
std::vector< std::map< const SPNode *, const Atom * > > | mapped_atoms
| container which contains a vector of mappings from different matches
std::vector< std::set< const Atom * > > | visited_atoms
| contains vector of visited atoms of different matches
std::vector< std::set< const Bond * > > | visited_bonds
| contains vector of visited bonds of different matches
std::vector< std::set< const SPEdge * > > | visited_edges
| contains vector of visited edges of the Smarts tree of different matches
std::vector< std::pair< const SPNode *, const Atom * > > | first_matches
| contains the first matched atoms of different matches (needed for recursive Smarts)

## Detailed Description

core structure of the recursive matching algorithm for the object pool

Definition at line 114 of file smartsMatcher.h.

## Constructor & Destructor Documentation

## RecStructCore_() [1/2]

BALL::SmartsMatcher::RecStructCore_::RecStructCore_ | ( |  | ) |

default constructor

## RecStructCore_() [2/2]

BALL::SmartsMatcher::RecStructCore_::RecStructCore_ | ( | const RecStructCore_ & |  | ) |

copy constructor

## ~RecStructCore_()

virtual BALL::SmartsMatcher::RecStructCore_::~RecStructCore_ | ( |  | ) |

virtual

destructor

## Member Function Documentation

## clear()

void BALL::SmartsMatcher::RecStructCore_::clear | ( |  | ) |

method that deletes all content from the containers

## operator=()

RecStructCore_ & BALL::SmartsMatcher::RecStructCore_::operator= | ( | const RecStructCore_ & |  | ) |

assignment operator

## Member Data Documentation

## first_matches

std::vector<std::pair<const SPNode*, const Atom*> > BALL::SmartsMatcher::RecStructCore_::first_matches

contains the first matched atoms of different matches (needed for recursive Smarts)

Definition at line 149 of file smartsMatcher.h.

## mapped_atoms

std::vector<std::map<const SPNode*, const Atom*> > BALL::SmartsMatcher::RecStructCore_::mapped_atoms

container which contains a vector of mappings from different matches

Definition at line 137 of file smartsMatcher.h.

## matched_atoms

std::vector<std::set<const Atom*> > BALL::SmartsMatcher::RecStructCore_::matched_atoms

container which contains a vector of matched atoms from different matches

Definition at line 134 of file smartsMatcher.h.

## visited_atoms

std::vector<std::set<const Atom*> > BALL::SmartsMatcher::RecStructCore_::visited_atoms

contains vector of visited atoms of different matches

Definition at line 140 of file smartsMatcher.h.

## visited_bonds

std::vector<std::set<const Bond*> > BALL::SmartsMatcher::RecStructCore_::visited_bonds

contains vector of visited bonds of different matches

Definition at line 143 of file smartsMatcher.h.

## visited_edges

std::vector<std::set<const SPEdge*> > BALL::SmartsMatcher::RecStructCore_::visited_edges

contains vector of visited edges of the Smarts tree of different matches

Definition at line 146 of file smartsMatcher.h.